//
//  command.c
//  AI002
//
//  Created by 西田　耀 on 13/01/02.
//  Copyright (c) 2013年 Hikaru Nishida. All rights reserved.
//

#include "core.h"

void AI_Command_System_info(AI_Array *separated)
{
    AI_SpeakSystem("%d datas exist.\n", AI_Array_GetNumberOfTags(AI_MainMemory.rootdata));
    
    return;
}

void AI_Command_System_setmode(AI_Array *separated)
{
    AI_MainMemory.mode = AI_strtol((char *)AI_Array_GetPointerByIndex(separated, 2), NULL, 0);
    
    AI_SpeakSystem("setmode:Change mode to %d.\n", AI_MainMemory.mode);
    
    return;
}
